/*
Пример использования
Получение информации о компьютах k8s кластера
*/

#Расскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером

/*
terraform {
  required_providers {
    decort = {
      source = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/

provider "decort" {
  authenticator  = "decs3o"
  oauth2_url     = "https://sso.digitalenergy.online"
  controller_url = "https://mr4.digitalenergy.online"
  app_id         = ""
  app_secret     = ""
}

data "decort_cb_k8s_computes" "computes" {
  #id кластера
  #обязательный параметр
  #тип - целое число
  k8s_id = 999
}

output "computes_out" {
  value = data.decort_cb_k8s_computes.computes
}
